smbios_sysinfo_t Struct Reference
Public interface » ID macros » SMBIOS structures

overall system related information More...

`#include <hd.h>`

## Data Fields

union u_hd_smbios_t * | next
hd_smbios_type_t | type
int | data_len
unsigned char * | data
str_list_t * | strings
int | handle
char * | manuf
| manufacturer
char * | product
| product name
char * | version
| version
char * | serial
| serial number
unsigned char | uuid [16]
| universal unique id; all 0x00: undef, all 0xff: undef but settable
hd_id_t | wake_up
| wake-up type

## Detailed Description

overall system related information

The documentation for this struct was generated from the following file:

- hd.h